clear all
load ORGBDPredictData.mat
totalTemp=40;
plotLineORGBD((1:totalTemp)/totalTemp,cmcOurMethod,'-d','r')     
hold on; grid on;
plotLineORGBD((1:totalTemp)/totalTemp,cmcSingleSVM,'-p','g')     
plotLineORGBD((1:totalTemp)/totalTemp,cmcPBSVM,'-s','b')     
plotLineORGBD((1:totalTemp)/totalTemp,cmcMultSVM,'-v','k')   
plotLineORGBD((1:totalTemp)/totalTemp,cmcDEP,'-h','y')   
plotLineORGBD((1:totalTemp)/totalTemp,cmcRGB,'+-',[1 1/2 0])  
plotLineORGBD((1:totalTemp)/totalTemp,cmcSKL,'-*',[1/2 1/2 0])  
plotLineORGBD(0.1:0.1:1,ACCV,'->','m')  
plotLineORGBD(0.1:0.1:1,DCSF,'--',[0 1/2 1])  
plotLineORGBD(0.1:0.1:1,MP,'--o',[1/2 0 1])  

legend({'Our Method','SVM-FA','BPSVM','MSSVM','DEP','RGB','SKL','Discriminative Orderlet','DCSF','Moving Pose'},'Location','southeast')
ylabel('Acc')
xlabel('Observation ratio')
title('Acitivity Prediction')
grid off




