clear all;
hots=hot(5); hsvs=hsv(5); colors=[hsvs(:,:);hots(2:end-3,:);gray(1)];
totalTemp=40; 
load SYSUPredictData.mat
plotLine((1:totalTemp)/totalTemp,cmcOurMethod,colors(1,:),'-d')     
hold on

plotLine((1:totalTemp)/totalTemp,cmcSingleSVM,'g','-p')     
plotLine((1:totalTemp)/totalTemp,cmcPBSVM,'b','-s')     
plotLine((1:totalTemp)/totalTemp,cmcMultSVM,'k','-v')   
plotLine((1:totalTemp)/totalTemp,cmcTestKNN,'m','-->')  
plotLine((1:totalTemp)/totalTemp,cmcDEP,'c','-h')   
plotLine((1:totalTemp)/totalTemp,cmcRGB,[1 1/2 0],'-+')  
plotLine((1:totalTemp)/totalTemp,cmcSKL,[1/2 1/2 0],'-*')  
legend({'Our Method','SVM-FA','BPSVM','MSsSVM','KNN','DEP','RGB','SKL'},'Location','southeast')
ylabel('Acc')
xlabel('Observation ratio')
grid off




